
expdir = brainvoyager.choose_directory('*')
brainvoyager.print_to_log('Experiment directory: ' + expdir)
vmrname = brainvoyager.choose_file('*.vmr','*.vmr')
voiname = brainvoyager.choose_file('*.voi','*.voi')
vtcname = brainvoyager.choose_file('*.vtc','*.vtc')
sdmname = brainvoyager.choose_file('*.sdm','*.sdm')
vmr = brainvoyager.open_document(vmrname)
vmr.link_vtc(vtcname)
ok = vmr.load_vois(voiname)
vmr.load_run_designmatrix(sdmname)
npreds = vmr.n_predictors_sdm
npoints = vmr.n_timepoints_sdm
vmr.clear_contrasts()
vmr.prepare_roi_contrasts(npreds)
vmr.add_roi_contrast("faces vs objects", "1 -1")
vmr.add_roi_contrast("faces", "1 0")
# param 1: VOI index (0-based)
# param 2: time course normalization, 0 -> none, 1 -> percent change, 2 -> z, 3 -> z in baseline periods
# param 3: serial correlation correction, 0 -> none, 1 -> with AR(1) model, 2 -> with AR(2) model
vmr.compute_run_glm_for_voi(0, 1, 2)

brainvoyager.print_to_log(vmr.get_name_of_voi(0))
brainvoyager.print_to_log('Number of VOI contrasts: ' + str(vmr.n_roi_contrasts))
for contrast_idx in range(0, vmr.n_roi_contrasts): 
    brainvoyager.print_to_log('Name of VOI contrast: ' + vmr.get_name_of_roi_contrast(contrast_idx))
    brainvoyager.print_to_log('P value: ' + str(vmr.get_p_value_of_roi_contrast(contrast_idx))) 
    brainvoyager.print_to_log('T value: ' + str(vmr.get_t_value_of_roi_contrast(contrast_idx)))

for predictor_no in range(0,vmr.n_predictors_sdm): 
    brainvoyager.print_to_log('Beta name of ROI-GLM: ' + vmr.get_beta_name_of_roi_glm(predictor_no))
    brainvoyager.print_to_log('Beta value of ROI-GLM: ' + str(vmr.get_beta_value_of_roi_glm(predictor_no)))
    



